> ## Name

> cgSetEffectName - set the name of an effect

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgSetEffectName( CGeffect effect,
>                             const char * name );

> ## Parameters

> effect
>   The effect in which the name will be set.
> name
>   The new name for effect.

> ## Return Values

> Returns CG_TRUE if it succeeds.

> Returns CG_FALSE otherwise.

> ## Description

> cgSetEffectName allows the application to set the name of an effect.

> ## Examples

>     char *effectSource = ...;
>     CGcontext context = cgCreateContext();
>     CGeffect effect = cgCreateEffect(context, effectSource, NULL);

>     const char* myEffectName = "myEffectName";
>     CGbool okay = cgSetEffectName(effect, myEffectName);
>     if (!okay) {
>       /* handle error */
>     }

> ## Errors

> CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

> ## History

> cgSetEffectName was introduced in Cg 1.5.

> ## See Also

> cgGetEffectName, cgCreateEffect